package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 系统角色对象 user_type
 * 
 * @author haotian
 * @date 2024-11-18
 */
public class UserType extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 系统角色类型 */
    private Long typeId;

    /** 角色名称 */
    @Excel(name = "角色名称")
    private String typeName;

    /** 角色类型值 */
    @Excel(name = "角色类型值")
    private String typeValue;

    private String  remark;

    /** 删除标志 */
    @Excel(name = "删除标志")
    private String deleteFlag;

    public void setTypeId(Long typeId) 
    {
        this.typeId = typeId;
    }

    public Long getTypeId() 
    {
        return typeId;
    }
    public void setTypeName(String typeName) 
    {
        this.typeName = typeName;
    }

    public String getTypeName() 
    {
        return typeName;
    }
    public void setTypeValue(String typeValue) 
    {
        this.typeValue = typeValue;
    }

    public String getTypeValue() 
    {
        return typeValue;
    }

    public String getRemark() {
		return remark;
	}
    public void setRemark(String remark) {
        this.remark = remark;
    }
    public void setDeleteFlag(String deleteFlag) 
    {
        this.deleteFlag = deleteFlag;
    }

    public String getDeleteFlag() 
    {
        return deleteFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("typeId", getTypeId())
            .append("typeName", getTypeName())
            .append("typeValue", getTypeValue())
            .append("remark", getRemark())
            .append("createTime", getCreateTime())
            .append("deleteFlag", getDeleteFlag())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
